### Function

# Gtk ShortcutFunc

#### Declaration

    gboolean
    (* GtkShortcutFunc) (
      GtkWidget* widget,
      GVariant* args,
      gpointer user_data
    )

#### Description [src]

Type for shortcuts based on user callbacks.

#### Parameters

`widget`

  Type: `GtkWidget`

  The widget passed to the activation.

  The data is owned by the caller of the function.

`args`

  Type: `GVariant`

  The arguments passed to the activation.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  The user data provided when activating the action.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

True if the action was successful.